<?php 
/**
* IPSPAY Order Confirmation Handler
* Used in conjunction with the IPS payment module
* for transactions with ips.com.cn, a Credit card processor using their Hosted page solution. 
* VirtueMart (http://virtuemart.net)
*/

if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );


$VM_LANG->load('admin');

// make sure we have a result
if( !isset($_GET['result']) || $_GET['result'] == '' )
{
	?>
	<img src="<?php echo VM_THEMEURL ?>images/button_cancel.png" align="center" alt="Failure" border="0" />
	<span class="message"><? echo $VM_LANG->_(PHPSHOP_PAYMENT_ERROR) ?> (Transaction result not found)</span>
	<?php
}
else
{
	// decode result
	$string = base64_decode( trim($_GET['result']) );
	$result = explode(':', $string);
	
	if( $result[0]=='1' )
	{
		// successful transaction
    	?> 
		<img src="<?php echo VM_THEMEURL ?>images/button_ok.png" align="center" alt="Success" border="0" />
		<h3><?php echo $VM_LANG->_(PHPSHOP_PAYMENT_TRANSACTION_SUCCESS) ?></h3>
		<br />
		<h3>Your order identification number: <?php echo $result[1]; ?> </h3>
		
        <?php
	}
	else
	{
		// failed transaction
		?>
		<img src="<?php echo VM_THEMEURL ?>images/button_cancel.png" align="center" alt="Failure" border="0" />
		<h2><?php echo $VM_LANG->_(PHPSHOP_PAYMENT_ERROR) ?> </h2> Error: Transaction declined.
		<?php
	}
}